<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:standard="http://www.eclipse.org/uml2/5.0.0/UML/Profile/Standard" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML">
  <uml:Model xmi:id="_5lAO0N8xEeuf_uz3Oaeyuw" name="OPC_UA_Library">
    <packageImport xmi:type="uml:PackageImport" xmi:id="_5l9REN8xEeuf_uz3Oaeyuw">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packagedElement xmi:type="uml:DataType" xmi:id="_7fBrgN8xEeuf_uz3Oaeyuw" name="AnalogUnitType">
      <generalization xmi:type="uml:Generalization" xmi:id="_E0hbQN8yEeuf_uz3Oaeyuw" general="_r4MOIOVTEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="__t34QN82Eeuf_uz3Oaeyuw" name="LocalizedText">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_VKqu4O97EeuxCbW4mH-AcQ" name="value">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_X8TJAO97EeuxCbW4mH-AcQ" name="local" type="_JG8x4OVVEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_E_5rsOVPEeuK2OTQc7f2CQ" name="BaseDataType" isAbstract="true">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_CBFCcOuXEeuxCbW4mH-AcQ" name="NodeId">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
        <defaultValue xmi:type="uml:LiteralString" xmi:id="_dJqhgPBGEeuxCbW4mH-AcQ" value="i=24"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_IF0zIOuXEeuxCbW4mH-AcQ" name="NamespaceUri">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
        <defaultValue xmi:type="uml:LiteralString" xmi:id="_a5ClEOuYEeuxCbW4mH-AcQ" value="http://opcfoundation.org/UA/"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_PNcdwOVPEeuK2OTQc7f2CQ" name="Number" isAbstract="true">
      <generalization xmi:type="uml:Generalization" xmi:id="_uP5pMOVPEeuK2OTQc7f2CQ" general="_E_5rsOVPEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_Pt4RUOVPEeuK2OTQc7f2CQ" name="String">
      <generalization xmi:type="uml:Generalization" xmi:id="_vLNa4OVPEeuK2OTQc7f2CQ" general="_E_5rsOVPEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_P1TH8OVPEeuK2OTQc7f2CQ" name="DateTime">
      <generalization xmi:type="uml:Generalization" xmi:id="_vp13oOVPEeuK2OTQc7f2CQ" general="_E_5rsOVPEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_P-jxoOVPEeuK2OTQc7f2CQ" name="Guid">
      <generalization xmi:type="uml:Generalization" xmi:id="_wTYj4OVPEeuK2OTQc7f2CQ" general="_E_5rsOVPEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_QHPzkOVPEeuK2OTQc7f2CQ" name="ByteString">
      <generalization xmi:type="uml:Generalization" xmi:id="_w6PIgOVPEeuK2OTQc7f2CQ" general="_E_5rsOVPEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_QOwJwOVPEeuK2OTQc7f2CQ" name="XmlElement">
      <generalization xmi:type="uml:Generalization" xmi:id="_CwLPUOVQEeuK2OTQc7f2CQ" general="_E_5rsOVPEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_QueLoOVPEeuK2OTQc7f2CQ" name="NodeId">
      <generalization xmi:type="uml:Generalization" xmi:id="_zPB1oOVPEeuK2OTQc7f2CQ" general="_E_5rsOVPEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_Q1BfkOVPEeuK2OTQc7f2CQ" name="ExpandedNodeId">
      <generalization xmi:type="uml:Generalization" xmi:id="_z2F1oOVPEeuK2OTQc7f2CQ" general="_E_5rsOVPEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_Q8SlMOVPEeuK2OTQc7f2CQ" name="StatusCode">
      <generalization xmi:type="uml:Generalization" xmi:id="_0Z9XsOVPEeuK2OTQc7f2CQ" general="_E_5rsOVPEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_RIuesOVPEeuK2OTQc7f2CQ" name="QualifiedName"/>
    <packagedElement xmi:type="uml:DataType" xmi:id="_j78GEOVPEeuK2OTQc7f2CQ" name="Structure">
      <generalization xmi:type="uml:Generalization" xmi:id="_2yCpYOVPEeuK2OTQc7f2CQ" general="_E_5rsOVPEeuK2OTQc7f2CQ"/>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_Vv6a0PBIEeuxCbW4mH-AcQ" name="NodeId" redefinedProperty="_CBFCcOuXEeuxCbW4mH-AcQ">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
        <defaultValue xmi:type="uml:LiteralString" xmi:id="_fLBqYPBIEeuxCbW4mH-AcQ" value="i=22"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_kEI_0OVPEeuK2OTQc7f2CQ" name="DataValue">
      <generalization xmi:type="uml:Generalization" xmi:id="_3rFKMOVPEeuK2OTQc7f2CQ" general="_E_5rsOVPEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_kMxXYOVPEeuK2OTQc7f2CQ" name="DiagnosticInfo">
      <generalization xmi:type="uml:Generalization" xmi:id="_4iONkOVPEeuK2OTQc7f2CQ" general="_E_5rsOVPEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_p1qSgOVPEeuK2OTQc7f2CQ" name="RsaEncryptedSecret">
      <generalization xmi:type="uml:Generalization" xmi:id="_1AxgEOVPEeuK2OTQc7f2CQ" general="_E_5rsOVPEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_rDdiYOVPEeuK2OTQc7f2CQ" name="EccEncryptedSecret">
      <generalization xmi:type="uml:Generalization" xmi:id="_xdb8MOVPEeuK2OTQc7f2CQ" general="_E_5rsOVPEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_rryJ0OVTEeuK2OTQc7f2CQ" name="Integer" isAbstract="true">
      <generalization xmi:type="uml:Generalization" xmi:id="_xhk4gOVTEeuK2OTQc7f2CQ" general="_PNcdwOVPEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_r4MOIOVTEeuK2OTQc7f2CQ" name="Double">
      <generalization xmi:type="uml:Generalization" xmi:id="_yYpDYOVTEeuK2OTQc7f2CQ" general="_PNcdwOVPEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_sHWEcOVTEeuK2OTQc7f2CQ" name="Float">
      <generalization xmi:type="uml:Generalization" xmi:id="_zw9hMOVTEeuK2OTQc7f2CQ" general="_PNcdwOVPEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_sSmSMOVTEeuK2OTQc7f2CQ" name="UInteger">
      <generalization xmi:type="uml:Generalization" xmi:id="_2jzcQOVTEeuK2OTQc7f2CQ" general="_PNcdwOVPEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_ufGmAOVTEeuK2OTQc7f2CQ" name="Duration">
      <generalization xmi:type="uml:Generalization" xmi:id="_IwpAIOVUEeuK2OTQc7f2CQ" general="_r4MOIOVTEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_jsBBcOVUEeuK2OTQc7f2CQ" name="Int64">
      <generalization xmi:type="uml:Generalization" xmi:id="_to6IYOVUEeuK2OTQc7f2CQ" general="_rryJ0OVTEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_j3l_UOVUEeuK2OTQc7f2CQ" name="Int32">
      <generalization xmi:type="uml:Generalization" xmi:id="_vrzNMOVUEeuK2OTQc7f2CQ" general="_rryJ0OVTEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_kA8voOVUEeuK2OTQc7f2CQ" name="Int16">
      <generalization xmi:type="uml:Generalization" xmi:id="_wQufMOVUEeuK2OTQc7f2CQ" general="_rryJ0OVTEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_kKpeMOVUEeuK2OTQc7f2CQ" name="SByte">
      <generalization xmi:type="uml:Generalization" xmi:id="_w_HPMOVUEeuK2OTQc7f2CQ" general="_rryJ0OVTEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_IcXj0OVVEeuK2OTQc7f2CQ" name="Byte">
      <generalization xmi:type="uml:Generalization" xmi:id="_CmzpMOVWEeuK2OTQc7f2CQ" general="_sSmSMOVTEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_I5tnIOVVEeuK2OTQc7f2CQ" name="Argument">
      <generalization xmi:type="uml:Generalization" xmi:id="_djgVoOVVEeuK2OTQc7f2CQ" general="_j78GEOVPEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_JG8x4OVVEeuK2OTQc7f2CQ" name="LocalId">
      <generalization xmi:type="uml:Generalization" xmi:id="_wrU7EOVVEeuK2OTQc7f2CQ" general="_Pt4RUOVPEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_4lKlIOVVEeuK2OTQc7f2CQ" name="UInt16">
      <generalization xmi:type="uml:Generalization" xmi:id="_DQopUOVWEeuK2OTQc7f2CQ" general="_sSmSMOVTEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_45--kOVVEeuK2OTQc7f2CQ" name="UInt32">
      <generalization xmi:type="uml:Generalization" xmi:id="_EDUDcOVWEeuK2OTQc7f2CQ" general="_sSmSMOVTEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_5HoZAOVVEeuK2OTQc7f2CQ" name="UInt64">
      <generalization xmi:type="uml:Generalization" xmi:id="_FahG8OVWEeuK2OTQc7f2CQ" general="_sSmSMOVTEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_MRPuMOVWEeuK2OTQc7f2CQ" name="Image" isAbstract="true">
      <generalization xmi:type="uml:Generalization" xmi:id="_O6UCMOVWEeuK2OTQc7f2CQ" general="_QHPzkOVPEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_Mj4WUOVWEeuK2OTQc7f2CQ" name="GIF">
      <generalization xmi:type="uml:Generalization" xmi:id="_TWCmoOVWEeuK2OTQc7f2CQ" general="_MRPuMOVWEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_MyLRAOVWEeuK2OTQc7f2CQ" name="BMP">
      <generalization xmi:type="uml:Generalization" xmi:id="_SgKHgOVWEeuK2OTQc7f2CQ" general="_MRPuMOVWEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_M-DJ0OVWEeuK2OTQc7f2CQ" name="PNG">
      <generalization xmi:type="uml:Generalization" xmi:id="_Pfpj4OVWEeuK2OTQc7f2CQ" general="_MRPuMOVWEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:DataType" xmi:id="_NPFPcOVWEeuK2OTQc7f2CQ" name="JPG">
      <generalization xmi:type="uml:Generalization" xmi:id="_R4H3IOVWEeuK2OTQc7f2CQ" general="_MRPuMOVWEeuK2OTQc7f2CQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Enumeration" xmi:id="_EQaUMOVqEeuK2OTQc7f2CQ" name="NodeCLass">
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_qju6AO-CEeuxCbW4mH-AcQ" name="Unspecified"/>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_r4j-8O-CEeuxCbW4mH-AcQ" name="Object"/>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_tWU9cO-CEeuxCbW4mH-AcQ" name="Variable"/>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_uYCSEO-CEeuxCbW4mH-AcQ" name="Method"/>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_vrUe4O-CEeuxCbW4mH-AcQ" name="ObjectType"/>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_yik_4O-CEeuxCbW4mH-AcQ" name="VariableType"/>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_zzX5YO-CEeuxCbW4mH-AcQ" name="ReferenceType"/>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_2YceMO-CEeuxCbW4mH-AcQ" name="DataType"/>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_5JCWgO-CEeuxCbW4mH-AcQ" name="View"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Enumeration" xmi:id="_FEYu0OVqEeuK2OTQc7f2CQ" name="IdType">
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_hbX4kOu3EeuxCbW4mH-AcQ" name="Numeric">
        <specification xmi:type="uml:LiteralInteger" xmi:id="_0sI3QOu6EeuxCbW4mH-AcQ"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_uDWlYOu6EeuxCbW4mH-AcQ" name="String">
        <specification xmi:type="uml:LiteralInteger" xmi:id="_2icRkOu6EeuxCbW4mH-AcQ" value="1"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_wZ5mAOu6EeuxCbW4mH-AcQ" name="Guid">
        <specification xmi:type="uml:LiteralInteger" xmi:id="_3wNsQOu6EeuxCbW4mH-AcQ" value="2"/>
      </ownedLiteral>
      <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_xuIOAOu6EeuxCbW4mH-AcQ" name="Opaque">
        <specification xmi:type="uml:LiteralInteger" xmi:id="_4vXcIOu6EeuxCbW4mH-AcQ" value="3"/>
      </ownedLiteral>
    </packagedElement>
    <packagedElement xmi:type="uml:Enumeration" xmi:id="_Fhs88OVqEeuK2OTQc7f2CQ" name="NamingRuleType"/>
    <packagedElement xmi:type="uml:Enumeration" xmi:id="_9vkVUPBJEeuxCbW4mH-AcQ" name="SecurityTokenRequestType"/>
    <packagedElement xmi:type="uml:Enumeration" xmi:id="_AgGjQPBKEeuxCbW4mH-AcQ" name="RedundancySupport"/>
    <packagedElement xmi:type="uml:Enumeration" xmi:id="_A8lD4PBKEeuxCbW4mH-AcQ" name="MessageSecurityMode"/>
    <packagedElement xmi:type="uml:Enumeration" xmi:id="_DWycgPBKEeuxCbW4mH-AcQ" name="ServerState"/>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_st06oPFREeux0uPONcsDJA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_st1hsPFREeux0uPONcsDJA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/uml2/5.0.0/UML/Profile/Standard#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://UML_PROFILES/Standard.profile.uml#_0"/>
    </profileApplication>
  </uml:Model>
  <standard:ModelLibrary xmi:id="_tWUeAPFREeux0uPONcsDJA" base_Package="_5lAO0N8xEeuf_uz3Oaeyuw"/>
</xmi:XMI>
